!
!   Command procedure to produce an illustration of
!   Dipso's range of line styles and plotting symbols.
!
!   Requires previous device assignment (e.g. DEV CANONL)
!   LWEIGHT is not supported on some devices (e.g. Pericoms)
!

!!!  WARNING  !!!   DELETES CURRENT STACK ENTRIES

DEL 1-50

!   Clear plotting surface

ERASE

!   Obtain data for demo

RESTORE DIPSODIR:DEMO1

!   Ensure plotting options are set for correct performance

NROT
POLY
FONT 2

!   Select left-hand plotting zone
!   Set X, Y ranges and labels

TZONE 7
XR 0.5 4.5
YR 0 6
YLAB "Line style"
XLAB "Line weight"

!   Plot data

POP 1
TITLE "DIPSO Lines"
TICKS 1 1 0 0
TROT
LWEIGHT 2
XADD 1
PM,NB
YADD 1,PM
YADD 1,PM
YADD 1,PM
YADD 1,PM
POP 1
LWEIGHT 1
PM
YADD 1,PM
YADD 1,PM
YADD 1,PM
YADD 1,PM
POP 1
XADD 2
LWEIGHT 3
PM
YADD 1,PM
YADD 1,PM
YADD 1,PM
YADD 1,PM
POP 1
XADD 3
LWEIGHT 4
PM
YADD 1,PM
YADD 1,PM
YADD 1,PM
YADD 1,PM

NROT
TLINE 1
LWEIGHT 1
POP 2,PM
LWEIGHT 2,XADD 1,PM
LWEIGHT 3,XADD 1,PM

DEL 1 2

TZONE 8
XR 0.5 5.5
YR 2 11
YLAB "Nvert"
XLAB "Mark style"
POP 1
TITLE "DIPSO Marks"
NOFILL
TLINE 1
MARK
LWEIGHT 2
ANGLE 0
TICKS 1 1 0 0
MSET 1 3,BOX,PM,NB
MSET 2 3,XADD 1,PM
MSET 3 3,XADD 1,PM
MSET 4 3,XADD 1,PM
ANGLE 180,XADD 1,PM,XADD -1,ANGLE 0
YADD 1,XADD -3
MSET 1 4,PM,NB
MSET 2 4,XADD 1,PM
MSET 3 4,XADD 1,PM
FILL
MSET 1 4,XADD 1,PM
ANGLE 45,XADD 1,EXPAND 2,PM,EXPAND 1,XADD -1,ANGLE 0
NOFILL
YADD 1,XADD -3
MSET 1 5,PM,NB
MSET 2 5,XADD 1,PM
MSET 3 5,XADD 1,PM
FILL
MSET 1 5,XADD 1,PM
MSET 2 5,ANGLE 45,XADD 1,EXPAND 2,PM,EXPAND 1,XADD -1,ANGLE 0
NOFILL
YADD 1,XADD -3
MSET 1 6,PM,NB
MSET 2 6,XADD 1,PM
MSET 3 6,XADD 1,PM
FILL
MSET 1 6,XADD 1,PM
MSET 3 6,ANGLE 45,XADD 1,EXPAND 2,PM,EXPAND 1,XADD -1,ANGLE 0
NOFILL
YADD 1,XADD -3
MSET 1 7,PM,NB
MSET 2 7,XADD 1,PM
MSET 3 7,XADD 1,PM
FILL
MSET 1 7,XADD 1,PM
ANGLE 45,XADD 1,EXPAND 2,PM,EXPAND 1,XADD -1,ANGLE 0
NOFILL
YADD 1,XADD -3
MSET 1 8,PM,NB
MSET 2 8,XADD 1,PM
MSET 3 8,XADD 1,PM
FILL
MSET 1 8,XADD 1,PM
ANGLE 45,XADD 1,EXPAND 2,PM,EXPAND 1,XADD -1,ANGLE 0
NOFILL
YADD 1,XADD -3
MSET 1 9,PM,NB
MSET 2 9,XADD 1,PM
MSET 3 9,XADD 1,PM
FILL
MSET 1 9,XADD 1,PM
ANGLE 45,XADD 1,EXPAND 2,PM,EXPAND 1,XADD -1,ANGLE 0
NOFILL
YADD 1,XADD -3
MSET 1 10,PM,NB
MSET 2 10,XADD 1,PM
MSET 3 10,XADD 1,PM
FILL
MSET 1 10,XADD 1,PM
ANGLE 45,XADD 1,EXPAND 2,PM,EXPAND 1,XADD -1,ANGLE 0
EXPAND 0.7,PWRITE 4.5 2.3 5 "(angle, fill...)"
EXPAND 1
NOFILL

DEL 1
